Skip to main content
`Ctrl`+`K`

# RGComputeContour

Computes the coordinates of several points lying on the contour of the region.

## Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGComputeContour(RG rg,PetscInt n,PetscScalar cr[],PetscScalar ci[])

Not Collective

## Input Parameters

- rg - the region context

- n - number of points to compute

## Output Parameters

- cr - location to store real parts

- ci - location to store imaginary parts

## Note

In real scalars, either `cr` or `ci` can be `NULL` (but not both). In complex scalars, the coordinates are stored in `cr`, which cannot be `NULL` (`ci` is not referenced).

## See Also

RG: Region, `RGComputeBoundingBox()`, `RGSetScale()`

## Level

intermediate

## Location

src/sys/classes/rg/interface/rgbasic.c

## Implementations

RGComputeContour_Ellipse() in src/sys/classes/rg/impls/ellipse/rgellipse.c
RGComputeContour_Interval() in src/sys/classes/rg/impls/interval/rginterval.c
RGComputeContour_Polygon() in src/sys/classes/rg/impls/polygon/rgpolygon.c
RGComputeContour_Ring() in src/sys/classes/rg/impls/ring/rgring.c

Index of all RG routines Table of Contents for all manual pages Index of all manual pages